% This function sets an appropriate initial pose for the human skeleton.
% Note that your implementation may use some, all, or none of the
% parameters.
% All available data is provided to the function for your convenience.
% You are not required to understand all of the parameters.
% You may refer to specific joints by number (see HumanSkeleton.m), but
% your implementation should be special-tailored to any of the test poses.% YOUR CODE HERE
% rootHeight is the starting height of the skeleton root
% jointOrder is a representation of the skeleton structure (see
% HumanSkeleton.m)
% initTransforms is the initial parent-space transformation of each joint
% jointLengths is the length of link
% jointAxes contains the axis about which each joint revolves
% endJoints contains the indices of joints attached to end effectors
% C(j,i) is 1 if joint j affects end effector i, 0 otherwise
% Copyright Sergey Levine, 2009
function [theta] = InitialPoseHuman(rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C)

% Initialize helpful constants.
N = length(jointLengths);   % This is the number of joints.
K = length(endJoints);      % This is the number of end effectors.

% Initial joint orientations.
theta = zeros(N,1);

% YOUR CODE HERE
