% This function accepts the vector theta and the parameters of the skeleton
% and generates the complete rotations matrices for each joint.
% Should not be modified
% Copyright Sergey Levine, 2009
function jointTransforms = ComputeMatrices(initTransforms,jointAxes,theta)

% Initialize jointTransforms.
jointTransforms = initTransforms;

for i=1:length(initTransforms)
    % Compute transformation matrix at this joint.
    jointTransforms{i} = initTransforms{i}*Rotation(jointAxes(i),theta(i));
end;
