% This function should be completed to interpolate between two
% configuration states.
% First, use spherical interpolation of quaternions to properly interpolate
% the the ball and socket joint at the right hip.
% Next, use a cubic function to create a smooth interpolation.
% theta1 - the first keyframe being interpolated
% theta2 - the second keyframe being interpolated
% u - interpolation parameter
% Copyright Sergey Levine, 20017
function theta = InterpolateFrame(theta1, theta2, u)

% You will need to convert the hip joint to a single quaternion for the
% purpose of interpolation, and then convert it back. Implement EulerToQuat
% and QuatToEuler to accomplish this.
% You will need to implement QuatSlerp to perform the spherical
% interpolation.
% The hip joints are defined by the following parameters:
% theta1(17), theta1(18), theta1(19)

% Next, you will need to implement smooth cubic interpolation of the
% parameters so that the angular velocity begins and ends at 0.

% YOUR CODE HERE

% Temporary implementation - simple linear interpolation.
theta = theta1*(1-u)+theta2*u;
