% This function should be completed to return the Jacobian
% J_{i,j} = (ds_i)/(dtheta_j)
% p(:,j) contains the position of the jth joint
% v(:,j) contains the axis of rotation of the jth joint
% s(:,i) contains the position of the ith end effector
% C(j,i) is 1 if joint j affects end effector i, 0 otherwise
% N is the number of joints
% K is the number of end effectors
% Copyright Sergey Levine, 2009
function J = Jacobian(p,v,s,C,N,K)

% Allocate Jacobian.
J = zeros(3*K,N);

% YOUR CODE HERE
