% This function should be completed to perform spherical interpolation
% between q1 and q2 using parameter u.
% Copyright Sergey Levine, 2009
function q = QuatSlerp(q1,q2,u)

% YOUR CODE HERE

if (norm(q1-q2) > norm(q1+q2))
    q2 = -q2;
end;
angle = acos(dot(q1,q2));
q = (sin((1-u)*angle)/sin(angle))*q1+(sin(u*angle)/sin(angle))*q2;
